# Changelog

Ce changelog, ou journal des modifications, fait un inventaire des modifications du plugin Pensebetes.

Types de changements
- `Added` pour les nouvelles fonctionnalités.
- `Changed` pour les changements aux fonctionnalités préexistantes.
- `Deprecated` pour les fonctionnalités qui seront bientôt supprimées.
- `Removed` pour les fonctionnalités désormais supprimées.
- `Fixed` pour les corrections de bugs.
- `Security` en cas de vulnérabilités.

## [Unreleased]

## 2.0.7

La version 2.0.7
- assure la compatibilité avec SPIP 4.2.* 
- utilise Salvatore pour mieux prendre en charge les traductions,
- ajoute une nouvelle fonction, celle de pouvoir poser une question par le pense-bete et obtenir une réponse par le même moyen.
- propose une nouvelle fonction pour pouvoir envoyer sans identification un pensebete à un auteur pour lui signaler, par exemple, la fin d'une tâche.

### Added

- Fichier `../README.md`
- Fichier `../CHANGELOG.md`
- Fichier `../inc/envoyer_pensebete.php` : fonction pour créer un pensebete sans identification.
- Fichier `../modeles/pdq.html` : modèle permettant d'intégrer une question dans le pense-bête.
- Fichier `../action/repondre_pensebete.php`: action qui permet d'envoyer les réponses à la question par un pense-bête.
- Fichier `../modeles/pdq.yaml` : description utilisée par le plugin `inserer_modeles`
- Modification `../paquet.xml` : utilise le plugin `inserer_modeles` v2.0.2 Pensez à activer le plugin pour les Pense-bêtes dans la configuration.

### Changed

- Modification `../css/style_plugin_pensebetes.css.html` : la propriété `background` de la classe `monpostit` est supprimée afin que le pense-bête soit *poser dessus* sans modifier *l'aspect du dessous*, un comportement qui est attendu.

### Fixed

- Modification `../pensebetes_autorisations` : autoriser_pensebete_voir_dist() correction d'un warning.
- Modification `../base/pensebetes.php` : déclaration du `type` de la table spip_pensebetes.